/*
 * Copyright (c) 2001 University of Bologna
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package anthill.nestor;

import anthill.*;
import anthill.util.Printable;

/**
 *  Factory class for NestorAntView objects.
 *
 *  @author Alberto Montresor
 *  @version $REVISION$
 */
public class NestorAntViewFactory
extends Printable
implements   AntViewFactory
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructor
  ////////////////////////////////////////////////////////////////////////////////////////////

  /**
   *  Default constructor.
   */
  public NestorAntViewFactory()
  {
  }
  
  
  ////////////////////////////////////////////////////////////////////////////////////////////
  // Methods from AntViewFactory interface
  ////////////////////////////////////////////////////////////////////////////////////////////

  /**
   *  Returns a AntView given a reference to the resource database,
   *  the Returns the Resource object associated to the resource identified
   *  by the given name, if such resource is present in this anthill;
   *  returns false otherwise.
   *
   *  @param name The identifier of the resource
   */
  public AntView getAntView(Anthill anthill, AntDescriptor desc)
  {
    return new NestorAntView((NestorAnthill) anthill, desc);
  }
  
} // END NestorAntViewFactory

